<?xml version="1.0" encoding="UTF-8"?>
<!--Taxonomy Schema File created by Certent CDM HD version: 24.3.2-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:NHY="http://www.hydro.com/2024-12-31" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:widernarrower="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" xmlns:p0="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" targetNamespace="http://www.hydro.com/2024-12-31" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo>
      <link:roleType roleURI="https://www.esma.europa.eu/xbrl/role/all/esef_role-000000_extended" id="esef_role-000000_extended">
        <link:definition>[000000] Tags that must be applied if corresponding information is present in a report</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hydro.com/2024-12-31/xbrl/role/Anchoring" id="Anchoring">
        <link:definition>[000099] Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000_extended" id="ias_1_role-210000_extended">
        <link:definition>[210000] Statement of financial position, current/non-current</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000_extended" id="ias_1_role-320000_extended">
        <link:definition>[320000] Statement of comprehensive income, profit or loss, by nature of expense</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-410000_extended" id="ias_1_role-410000_extended">
        <link:definition>[410000] Statement of comprehensive income, OCI components presented net of tax</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000_extended" id="ias_7_role-520000_extended">
        <link:definition>[520000] Statement of cash flows, indirect method</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000_extended" id="ias_1_role-610000_extended">
        <link:definition>[610000] Statement of changes in equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300N1SDN71ZZ8BO45-2024-12-31_pre.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300N1SDN71ZZ8BO45-2024-12-31_cal.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300N1SDN71ZZ8BO45-2024-12-31_def.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300N1SDN71ZZ8BO45-2024-12-31_lab-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300N1SDN71ZZ8BO45-2024-12-31_lab-no.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"></link:linkbaseRef>
    </xs:appinfo>
  </xs:annotation>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"></xs:import>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"></xs:import>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd"></xs:import>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"></xs:import>
  <xs:import namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd"></xs:import>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd"></xs:import>
  <xs:element id="NHY_EquityAttributableToOwnersOfParentAbstract" abstract="true" name="EquityAttributableToOwnersOfParentAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_TotalrevenueandincomeAbstract" abstract="true" name="TotalrevenueandincomeAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_ProfitLossFromOperatingActivitiesAbstract" abstract="true" name="ProfitLossFromOperatingActivitiesAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_FinanceIncomeCostAbstract" abstract="true" name="FinanceIncomeCostAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_ProfitLossBeforeTaxAbstract" abstract="true" name="ProfitLossBeforeTaxAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" abstract="true" name="OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" abstract="true" name="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_IncreaseDecreaseInCashAndCashEquivalentsAbstract" abstract="true" name="IncreaseDecreaseInCashAndCashEquivalentsAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="NHY_Totalrevenueandincome" xbrli:periodType="duration" xbrli:balance="credit" name="Totalrevenueandincome" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="NHY_CurrencyTranslationDifferenceNetOfTaxSubsidiariesSold" xbrli:periodType="duration" xbrli:balance="credit" name="CurrencyTranslationDifferenceNetOfTaxSubsidiariesSold" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="NHY_OwnSharesSoldEmployees" xbrli:periodType="duration" xbrli:balance="credit" name="OwnSharesSoldEmployees" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="NHY_Receivables" xbrli:periodType="duration" xbrli:balance="debit" name="Receivables" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="NHY_Payables" xbrli:periodType="duration" xbrli:balance="debit" name="Payables" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="NHY_CollateralDerivativesAndOtherLiabilities" xbrli:periodType="duration" xbrli:balance="credit" name="CollateralDerivativesAndOtherLiabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
</xs:schema>